1. chrigu
  2. ADVANCED GUTENBERG
  3. Donderdag 14 2020 mei
  4.  Schrijf je in via e-mail
Hoi,

Ik gebruik het kaartblok veel op een van mijn pagina's (https://bilder.tracks4africa.de/). Ik heb me nu gerealiseerd dat er een probleem is met het blok. Ik krijg soms de informatie "Het blok bevat onverwachte of ongeldige inhoud." Dit is alleen gebeurd, wanneer ik de markering met de hand op de kaart verplaats, de post opsla en de post opnieuw open in de bewerkingsmodus.

Als ik het blok in de editor controleer, ziet het er zo uit.


<!-- wp:advgb/map {"mapID":"advgbmap-899b748e-e7fe-4130-b077-c40de2c91cd6","useLatLng":true,"address":"palmwag konzession","currentAddress":"Palmwag, Namibia","markerTitle":"Palmwag Konzession","markerDesc":"Damaraland - Namibia","changed":true} -->
<div class="wp-block-advgb-map advgb-map-block" style="margin:10px auto"><div class="advgb-map-content" id="advgbmap-899b748e-e7fe-4130-b077-c40de2c91cd6" style="height:350px" data-default="https://maps.gstatic.com/mapfiles/api-3/images/spotlight-poi2.png" data-lat="-19.781478791710498" data-lng="13.76632294123537" data-zoom="14" data-title="Palmwag Konzession" data-desc="Damaraland - Namibia" data-shown="true" data-style=""></div></div>
<!-- /wp:advgb/map -->


Om een ​​correct blok te hebben, moet ik ook lat en lng toevoegen aan de parameter. Dan ziet het eruit als:


<!-- wp:advgb/map {"mapID":"advgbmap-899b748e-e7fe-4130-b077-c40de2c91cd6","useLatLng":true,"address":"palmwag konzession","currentAddress":"Palmwag, Namibia","lat":"-19.781478791710498","lng":"13.76632294123537","markerTitle":"Palmwag Konzession","markerDesc":"Damaraland - Namibia","changed":true} -->
<div class="wp-block-advgb-map advgb-map-block" style="margin:10px auto"><div class="advgb-map-content" id="advgbmap-899b748e-e7fe-4130-b077-c40de2c91cd6" style="height:350px" data-default="https://maps.gstatic.com/mapfiles/api-3/images/spotlight-poi2.png" data-lat="-19.781478791710498" data-lng="13.76632294123537" data-zoom="14" data-title="Palmwag Konzession" data-desc="Damaraland - Namibia" data-shown="true" data-style=""></div></div>
<!-- /wp:advgb/map -->


Ik hoop dat je dit kunt oplossen.

Bedankt
Christoph
Reacties (5)
Geaccepteerd antwoordIn afwachting van moderatie
Ik zou het probleem kunnen oplossen. Verander gewoon de volgende regels in block.js op regel 16842 .

van:

marker.addListener('dragend', function () {
var newLocation = marker.getPosition();
var newLat = newLocation.lat();
var newLng = newLocation.lng();

that.props.setAttributes({ lat: newLat, lng: newLng });
});



naar:

marker.addListener('dragend', function () {
var newLocation = marker.getPosition();
var newLat = newLocation.lat().toString();
var newLng = newLocation.lng().toString();

that.props.setAttributes({ lat: newLat, lng: newLng });
});



Vriendelijke groeten
Christoph
  1. meer dan een maand geleden
  2. ADVANCED GUTENBERG
  3. # 1
Geaccepteerd antwoordIn afwachting van moderatie
Hoi,

Bedankt dat u hier contact met ons heeft opgenomen over deze extensie.

Ja, bedankt voor je feedback, onze ontwikkelaar zal dit probleem controleren.

Heel erg bedankt!
Proost,
  1. meer dan een maand geleden
  2. ADVANCED GUTENBERG
  3. # 2
Geaccepteerd antwoordIn afwachting van moderatie
Helaas is de bug er nog steeds. Na de laatste update moest ik de twee regels opnieuw wijzigen. Eigenlijk een kleine snelle oplossing die de ontwikkelaar geen tijd kost.
  1. meer dan een maand geleden
  2. ADVANCED GUTENBERG
  3. # 3
Geaccepteerd antwoordIn afwachting van moderatie
Na de laatste update naar 2.4 .0 zit de bug er nog steeds in. Het is zo gemakkelijk om het aan jouw kant te repareren. Volg gewoon mijn instructies enkele berichten geleden. U moet nu regel nummer 17048 controleren op blocks.js
  1. meer dan een maand geleden
  2. ADVANCED GUTENBERG
  3. # 4
Geaccepteerd antwoordIn afwachting van moderatie
Hoi,

Bedankt voor uw reactie.

Advanced Gutenberg eigendom van de Advanced Gutenberg plug-in wordt momenteel overgedragen aan een nieuw team dat de ondersteuning afhandelt (het team achter de press-plug-in voor publiceren).
Je kunt elk verzoek dat je hebt plaatsen in de plug-in-repository en het ondersteuningsteam zal binnen een dag reageren.

Hier is de directe link: https: // wordpress .org / support / plugin / advanced-gutenberg /

Natuurlijk blijven al onze extensies compatibel met de Advanced gutenberg plug-in.

Heel erg bedankt!
Proost,
  1. meer dan een maand geleden
  2. ADVANCED GUTENBERG
  3. # 5
  • Bladzijde :
  • 1


Er zijn nog geen antwoorden op dit bericht.
Wees een van de eersten die op dit bericht reageert!